summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--.gitignore40
-rwxr-xr-xjenkins-ci-build.sh54
-rwxr-xr-xmake-macosx-app.sh353
-rwxr-xr-xmake-macosx-ub.sh94
-rwxr-xr-xmake-macosx.sh77
-rwxr-xr-xmisc/SLA-dmg.sh73
-rw-r--r--misc/last-merged-ioq3-revision1
-rwxr-xr-xmisc/merge-ioq3-into-trem.sh112
-rw-r--r--misc/msvc/tremulous.sln21
-rw-r--r--misc/msvc/tremulous.vcproj65
10 files changed, 0 insertions, 890 deletions
diff --git a/.gitignore b/.gitignore
index ecb8d2c8..810b319c 100644
--- a/.gitignore
+++ b/.gitignore
@@ -1,42 +1,2 @@
build
Makefile.local
-*.swp
-*tags
-misc/patches
-misc/last-merged-ioq3-revision.temp
-
-# OS X
-####################
-.Spotlight-V100/
-.Trashes/
-._*
-.AppleDouble
-.DS_Store
-.LSOverride
-Icon?
-
-# Xcode
-####################
-*.mode1v3
-*.mode2v3
-*.pbxuser
-*.perspectivev3
-*.user
-*.xcuserstate
-*.moved-aside
-*~.nib
-.idea/
-DerivedData/
-project.xcworkspace/
-xcuserdata/
-profile
-!default.pbxuser
-!default.mode1v3
-!default.mode2v3
-!default.perspectivev3
-
-# Microsoft Visual Studio
-####################
-*.sdf
-*.opensdf
-*.suo
diff --git a/jenkins-ci-build.sh b/jenkins-ci-build.sh
deleted file mode 100755
index 3e2479bb..00000000
--- a/jenkins-ci-build.sh
+++ /dev/null
@@ -1,54 +0,0 @@
-#!/bin/bash
-
-UNAME=`uname`
-MASTER_DIR=`dirname $0`
-BUILD_DEFAULT="release"
-
-cd ${MASTER_DIR}
-
-if [ "${OPTIONS}" == "all_options" ];
-then
- export USE_CODEC_VORBIS=1
- export USE_FREETYPE=1
-fi
-
-if [ "$UNAME" == "Darwin" ]; then
- CORES=`sysctl -n hw.ncpu`
-elif [ "$UNAME" == "Linux" ]; then
- CORES=`awk '/^processor/ { N++} END { print N }' /proc/cpuinfo`
-fi
-
-echo "platform : ${UNAME}"
-echo "cores : ${CORES}"
-if [ "${BUILD_TYPE}" == "" ]; then
- BUILD_TYPE="${BUILD_DEFAULT}"
- echo "build type : defaulting to ${BUILD_TYPE}"
-else
- echo "build type : ${BUILD_TYPE}"
-fi
-
-echo "environment :"
-export
-
-if [ -n "${CPPCHECK}" ]; then
- if [ ! -f "${CPPCHECK}" ]; then
- command -v cppcheck >/dev/null
- if [ "$?" != "0" ]; then
- echo "cppcheck not installed"
- exit 1
- fi
-
- cppcheck --enable=all --max-configs=1 --xml --xml-version=2 src 2> ${CPPCHECK}
- fi
-
- ln -sf ${CPPCHECK} cppcheck.xml
-fi
-
-# Bit of a hack; only run scan-build with clang and all options enabled
-if [ "${CC}" == "clang" ] && [ "${OPTIONS}" == "all_options" ]; then
- MAKE_PREFIX="scan-build"
-fi
-
-${MAKE_PREFIX} make -j${CORES} distclean ${BUILD_TYPE}
-
-exit $?
diff --git a/make-macosx-app.sh b/make-macosx-app.sh
deleted file mode 100755
index cea20967..00000000
--- a/make-macosx-app.sh
+++ /dev/null
@@ -1,353 +0,0 @@
-#!/bin/bash
-
-# Let's make the user give us a target to work with.
-# architecture is assumed universal if not specified, and is optional.
-# if arch is defined, it we will store the .app bundle in the target arch build directory
-if [ $# == 0 ] || [ $# -gt 2 ]; then
- echo "Usage: $0 target <arch>"
- echo "Example: $0 release x86"
- echo "Valid targets are:"
- echo " release"
- echo " debug"
- echo
- echo "Optional architectures are:"
- echo " x86"
- echo " x86_64"
- echo " ppc"
- echo
- exit 1
-fi
-
-# validate target name
-if [ "$1" == "release" ]; then
- TARGET_NAME="release"
-elif [ "$1" == "debug" ]; then
- TARGET_NAME="debug"
-else
- echo "Invalid target: $1"
- echo "Valid targets are:"
- echo " release"
- echo " debug"
- exit 1
-fi
-
-CURRENT_ARCH=""
-
-# validate the architecture if it was specified
-if [ "$2" != "" ]; then
- if [ "$2" == "x86" ]; then
- CURRENT_ARCH="x86"
- elif [ "$2" == "x86_64" ]; then
- CURRENT_ARCH="x86_64"
- elif [ "$2" == "ppc" ]; then
- CURRENT_ARCH="ppc"
- else
- echo "Invalid architecture: $2"
- echo "Valid architectures are:"
- echo " x86"
- echo " x86_64"
- echo " ppc"
- echo
- exit 1
- fi
-fi
-
-# symlinkArch() creates a symlink with the architecture suffix.
-# meant for universal binaries, but also handles the way this script generates
-# application bundles for a single architecture as well.
-function symlinkArch()
-{
- EXT="dylib"
- SEP="${3}"
- SRCFILE="${1}"
- DSTFILE="${2}${SEP}"
- DSTPATH="${4}"
-
- if [ ! -e "${DSTPATH}/${SRCFILE}.${EXT}" ]; then
- echo "**** ERROR: missing ${SRCFILE}.${EXT} from ${MACOS}"
- exit 1
- fi
-
- if [ ! -d "${DSTPATH}" ]; then
- echo "**** ERROR: path not found ${DSTPATH}"
- exit 1
- fi
-
- pushd "${DSTPATH}" > /dev/null
-
- IS32=`file "${SRCFILE}.${EXT}" | grep "i386"`
- IS64=`file "${SRCFILE}.${EXT}" | grep "x86_64"`
- ISPPC=`file "${SRCFILE}.${EXT}" | grep "ppc"`
-
- if [ "${IS32}" != "" ]; then
- if [ ! -L "${DSTFILE}x86.${EXT}" ]; then
- ln -s "${SRCFILE}.${EXT}" "${DSTFILE}x86.${EXT}"
- fi
- elif [ -L "${DSTFILE}x86.${EXT}" ]; then
- rm "${DSTFILE}x86.${EXT}"
- fi
-
- if [ "${IS64}" != "" ]; then
- if [ ! -L "${DSTFILE}x86_64.${EXT}" ]; then
- ln -s "${SRCFILE}.${EXT}" "${DSTFILE}x86_64.${EXT}"
- fi
- elif [ -L "${DSTFILE}x86_64.${EXT}" ]; then
- rm "${DSTFILE}x86_64.${EXT}"
- fi
-
- if [ "${ISPPC}" != "" ]; then
- if [ ! -L "${DSTFILE}ppc.${EXT}" ]; then
- ln -s "${SRCFILE}.${EXT}" "${DSTFILE}ppc.${EXT}"
- fi
- elif [ -L "${DSTFILE}ppc.${EXT}" ]; then
- rm "${DSTFILE}ppc.${EXT}"
- fi
-
- popd > /dev/null
-}
-
-SEARCH_ARCHS=" \
- x86 \
- x86_64 \
- ppc \
-"
-
-HAS_LIPO=`command -v lipo`
-HAS_CP=`command -v cp`
-
-# if lipo is not available, we cannot make a universal binary, print a warning
-if [ ! -x "${HAS_LIPO}" ] && [ "${CURRENT_ARCH}" == "" ]; then
- CURRENT_ARCH=`uname -m`
- if [ "${CURRENT_ARCH}" == "i386" ]; then CURRENT_ARCH="x86"; fi
- echo "$0 cannot make a universal binary, falling back to architecture ${CURRENT_ARCH}"
-fi
-
-# if the optional arch parameter is used, replace SEARCH_ARCHS to only work with one
-if [ "${CURRENT_ARCH}" != "" ]; then
- SEARCH_ARCHS="${CURRENT_ARCH}"
-fi
-
-AVAILABLE_ARCHS=""
-
-IOQ3_VERSION=`grep '^VERSION=' Makefile | sed -e 's/.*=\(.*\)/\1/'`
-IOQ3_CLIENT_ARCHS=""
-IOQ3_SERVER_ARCHS=""
-IOQ3_RENDERER_GL1_ARCHS=""
-IOQ3_RENDERER_GL2_ARCHS=""
-IOQ3_CGAME_ARCHS=""
-IOQ3_GAME_ARCHS=""
-IOQ3_UI_ARCHS=""
-IOQ3_MP_CGAME_ARCHS=""
-IOQ3_MP_GAME_ARCHS=""
-IOQ3_MP_UI_ARCHS=""
-
-BASEDIR="base"
-
-CGAME="cgame"
-GAME="game"
-UI="ui"
-
-RENDERER_OPENGL="renderer_opengl"
-
-DEDICATED_NAME="tremded"
-
-CGAME_NAME="${CGAME}.dylib"
-GAME_NAME="${GAME}.dylib"
-UI_NAME="${UI}.dylib"
-
-RENDERER_OPENGL1_NAME="${RENDERER_OPENGL}1.dylib"
-RENDERER_OPENGL2_NAME="${RENDERER_OPENGL}2.dylib"
-
-ICNSDIR="misc"
-ICNS="Tremulous.icns"
-PKGINFO="APPLIOQ3"
-
-OBJROOT="build"
-#BUILT_PRODUCTS_DIR="${OBJROOT}/${TARGET_NAME}-darwin-${CURRENT_ARCH}"
-PRODUCT_NAME="Tremulous"
-WRAPPER_EXTENSION="app"
-WRAPPER_NAME="${PRODUCT_NAME}.${WRAPPER_EXTENSION}"
-CONTENTS_FOLDER_PATH="${WRAPPER_NAME}/Contents"
-UNLOCALIZED_RESOURCES_FOLDER_PATH="${CONTENTS_FOLDER_PATH}/Resources"
-EXECUTABLE_FOLDER_PATH="${CONTENTS_FOLDER_PATH}/MacOS"
-EXECUTABLE_NAME="tremulous"
-
-# loop through the architectures to build string lists for each universal binary
-for ARCH in $SEARCH_ARCHS; do
- CURRENT_ARCH=${ARCH}
- BUILT_PRODUCTS_DIR="${OBJROOT}/${TARGET_NAME}-darwin-${CURRENT_ARCH}"
- IOQ3_CLIENT="${EXECUTABLE_NAME}.${CURRENT_ARCH}"
- IOQ3_SERVER="${DEDICATED_NAME}.${CURRENT_ARCH}"
- IOQ3_RENDERER_GL1="${RENDERER_OPENGL}1_${CURRENT_ARCH}.dylib"
- IOQ3_RENDERER_GL2="${RENDERER_OPENGL}2_${CURRENT_ARCH}.dylib"
- IOQ3_CGAME="${CGAME}${CURRENT_ARCH}.dylib"
- IOQ3_GAME="${GAME}${CURRENT_ARCH}.dylib"
- IOQ3_UI="${UI}${CURRENT_ARCH}.dylib"
-
- if [ ! -d ${BUILT_PRODUCTS_DIR} ]; then
- CURRENT_ARCH=""
- BUILT_PRODUCTS_DIR=""
- continue
- fi
-
- # executables
- if [ -e ${BUILT_PRODUCTS_DIR}/${IOQ3_CLIENT} ]; then
- IOQ3_CLIENT_ARCHS="${BUILT_PRODUCTS_DIR}/${IOQ3_CLIENT} ${IOQ3_CLIENT_ARCHS}"
- VALID_ARCHS="${ARCH} ${VALID_ARCHS}"
- else
- continue
- fi
- if [ -e ${BUILT_PRODUCTS_DIR}/${IOQ3_SERVER} ]; then
- IOQ3_SERVER_ARCHS="${BUILT_PRODUCTS_DIR}/${IOQ3_SERVER} ${IOQ3_SERVER_ARCHS}"
- fi
-
- # renderers
- if [ -e ${BUILT_PRODUCTS_DIR}/${IOQ3_RENDERER_GL1} ]; then
- IOQ3_RENDERER_GL1_ARCHS="${BUILT_PRODUCTS_DIR}/${IOQ3_RENDERER_GL1} ${IOQ3_RENDERER_GL1_ARCHS}"
- fi
- if [ -e ${BUILT_PRODUCTS_DIR}/${IOQ3_RENDERER_GL2} ]; then
- IOQ3_RENDERER_GL2_ARCHS="${BUILT_PRODUCTS_DIR}/${IOQ3_RENDERER_GL2} ${IOQ3_RENDERER_GL2_ARCHS}"
- fi
-
- # game
- if [ -e ${BUILT_PRODUCTS_DIR}/${BASEDIR}/${IOQ3_CGAME} ]; then
- IOQ3_CGAME_ARCHS="${BUILT_PRODUCTS_DIR}/${BASEDIR}/${IOQ3_CGAME} ${IOQ3_CGAME_ARCHS}"
- fi
- if [ -e ${BUILT_PRODUCTS_DIR}/${BASEDIR}/${IOQ3_GAME} ]; then
- IOQ3_GAME_ARCHS="${BUILT_PRODUCTS_DIR}/${BASEDIR}/${IOQ3_GAME} ${IOQ3_GAME_ARCHS}"
- fi
- if [ -e ${BUILT_PRODUCTS_DIR}/${BASEDIR}/${IOQ3_UI} ]; then
- IOQ3_UI_ARCHS="${BUILT_PRODUCTS_DIR}/${BASEDIR}/${IOQ3_UI} ${IOQ3_UI_ARCHS}"
- fi
-
- #echo "valid arch: ${ARCH}"
-done
-
-# final preparations and checks before attempting to make the application bundle
-cd `dirname $0`
-
-if [ ! -f Makefile ]; then
- echo "$0 must be run from the ioquake3 build directory"
- exit 1
-fi
-
-if [ "${IOQ3_CLIENT_ARCHS}" == "" ]; then
- echo "$0: no ioquake3 binary architectures were found for target '${TARGET_NAME}'"
- exit 1
-fi
-
-# set the final application bundle output directory
-if [ "${2}" == "" ]; then
- BUILT_PRODUCTS_DIR="${OBJROOT}/${TARGET_NAME}-darwin-universal"
- if [ ! -d ${BUILT_PRODUCTS_DIR} ]; then
- mkdir -p ${BUILT_PRODUCTS_DIR} || exit 1;
- fi
-else
- BUILT_PRODUCTS_DIR="${OBJROOT}/${TARGET_NAME}-darwin-${CURRENT_ARCH}"
-fi
-
-BUNDLEBINDIR="${BUILT_PRODUCTS_DIR}/${EXECUTABLE_FOLDER_PATH}"
-
-
-# here we go
-echo "Creating bundle '${BUILT_PRODUCTS_DIR}/${WRAPPER_NAME}'"
-echo "with architectures:"
-for ARCH in ${VALID_ARCHS}; do
- echo " ${ARCH}"
-done
-echo ""
-
-# make the application bundle directories
-if [ ! -d ${BUILT_PRODUCTS_DIR}/${EXECUTABLE_FOLDER_PATH}/$BASEDIR ]; then
- mkdir -p ${BUILT_PRODUCTS_DIR}/${EXECUTABLE_FOLDER_PATH}/$BASEDIR || exit 1;
-fi
-if [ ! -d ${BUILT_PRODUCTS_DIR}/${UNLOCALIZED_RESOURCES_FOLDER_PATH} ]; then
- mkdir -p ${BUILT_PRODUCTS_DIR}/${UNLOCALIZED_RESOURCES_FOLDER_PATH} || exit 1;
-fi
-
-# copy and generate some application bundle resources
-cp src/libs/macosx/*.dylib ${BUILT_PRODUCTS_DIR}/${EXECUTABLE_FOLDER_PATH}
-cp ${ICNSDIR}/${ICNS} ${BUILT_PRODUCTS_DIR}/${UNLOCALIZED_RESOURCES_FOLDER_PATH}/$ICNS || exit 1;
-echo -n ${PKGINFO} > ${BUILT_PRODUCTS_DIR}/${CONTENTS_FOLDER_PATH}/PkgInfo || exit 1;
-echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?>
-<!DOCTYPE plist PUBLIC \"-//Apple//DTD PLIST 1.0//EN\" \"http://www.apple.com/DTDs/PropertyList-1.0.dtd\">
-<plist version=\"1.0\">
-<dict>
- <key>CFBundleDevelopmentRegion</key>
- <string>en</string>
- <key>CFBundleExecutable</key>
- <string>${EXECUTABLE_NAME}</string>
- <key>CFBundleIconFile</key>
- <string>${ICNS}</string>
- <key>CFBundleIdentifier</key>
- <string>org.ioquake.${PRODUCT_NAME}</string>
- <key>CFBundleInfoDictionaryVersion</key>
- <string>6.0</string>
- <key>CFBundleName</key>
- <string>${PRODUCT_NAME}</string>
- <key>CFBundlePackageType</key>
- <string>APPL</string>
- <key>CFBundleShortVersionString</key>
- <string>${IOQ3_VERSION}</string>
- <key>CFBundleSignature</key>
- <string>????</string>
- <key>CFBundleVersion</key>
- <string>${IOQ3_VERSION}</string>
- <key>CGDisableCoalescedUpdates</key>
- <true/>
- <key>LSMinimumSystemVersion</key>
- <string>${MACOSX_DEPLOYMENT_TARGET}</string>
- <key>NSHumanReadableCopyright</key>
- <string>Copyright © 1999-2015 Id Software LLC, a ZeniMax Media company, ioquake3, Darklegion Development, and Tremulous community contributors.</string>
- <key>NSPrincipalClass</key>
- <string>NSApplication</string>
-</dict>
-</plist>
-" > ${BUILT_PRODUCTS_DIR}/${CONTENTS_FOLDER_PATH}/Info.plist
-
-# action takes care of generating universal binaries if lipo is available
-# otherwise, it falls back to using a simple copy, expecting the first item in
-# the second parameter list to be the desired architecture
-function action()
-{
- COMMAND=""
-
- if [ -x "${HAS_LIPO}" ]; then
- COMMAND="${HAS_LIPO} -create -o"
- $HAS_LIPO -create -o "${1}" ${2} # make sure $2 is treated as a list of files
- elif [ -x ${HAS_CP} ]; then
- COMMAND="${HAS_CP}"
- SRC="${2// */}" # in case there is a list here, use only the first item
- $HAS_CP "${SRC}" "${1}"
- else
- "$0 cannot create an application bundle."
- exit 1
- fi
-
- #echo "${COMMAND}" "${1}" "${2}"
-}
-
-#
-# the meat of universal binary creation
-# destination file names do not have architecture suffix.
-# action will handle merging universal binaries if supported.
-# symlink appropriate architecture names for universal (fat) binary support.
-#
-
-# executables
-action ${BUNDLEBINDIR}/${EXECUTABLE_NAME} "${IOQ3_CLIENT_ARCHS}"
-action ${BUNDLEBINDIR}/${DEDICATED_NAME} "${IOQ3_SERVER_ARCHS}"
-
-# renderers
-action ${BUNDLEBINDIR}/${RENDERER_OPENGL1_NAME} "${IOQ3_RENDERER_GL1_ARCHS}"
-action ${BUNDLEBINDIR}/${RENDERER_OPENGL2_NAME} "${IOQ3_RENDERER_GL2_ARCHS}"
-symlinkArch "${RENDERER_OPENGL}1" "${RENDERER_OPENGL}1" "_" "${BUNDLEBINDIR}"
-symlinkArch "${RENDERER_OPENGL}2" "${RENDERER_OPENGL}2" "_" "${BUNDLEBINDIR}"
-
-# game
-action ${BUNDLEBINDIR}/${BASEDIR}/${CGAME_NAME} "${IOQ3_CGAME_ARCHS}"
-action ${BUNDLEBINDIR}/${BASEDIR}/${GAME_NAME} "${IOQ3_GAME_ARCHS}"
-action ${BUNDLEBINDIR}/${BASEDIR}/${UI_NAME} "${IOQ3_UI_ARCHS}"
-symlinkArch "${CGAME}" "${CGAME}" "" "${BUNDLEBINDIR}/${BASEDIR}"
-symlinkArch "${GAME}" "${GAME}" "" "${BUNDLEBINDIR}/${BASEDIR}"
-symlinkArch "${UI}" "${UI}" "" "${BUNDLEBINDIR}/${BASEDIR}"
diff --git a/make-macosx-ub.sh b/make-macosx-ub.sh
deleted file mode 100755
index 08bd9944..00000000
--- a/make-macosx-ub.sh
+++ /dev/null
@@ -1,94 +0,0 @@
-#!/bin/bash
-CC=gcc-4.0
-
-cd `dirname $0`
-if [ ! -f Makefile ]; then
- echo "This script must be run from the Tremulous build directory";
- exit 1
-fi
-
-# we want to use the oldest available SDK for max compatiblity. However 10.4 and older
-# can not build 64bit binaries, making 10.5 the minimum version. This has been tested
-# with xcode 3.1 (xcode31_2199_developerdvd.dmg). It contains the 10.5 SDK and a decent
-# enough gcc to actually compile Tremulous
-# For PPC macs, G4's or better are required to run Tremulous.
-
-unset X86_64_SDK
-unset X86_64_CFLAGS
-unset X86_64_LDFLAGS
-unset X86_SDK
-unset X86_CFLAGS
-unset X86_LDFLAGS
-unset PPC_64_SDK
-unset PPC_CFLAGS
-unset PPC_LDFLAGS
-
-if [ -d /Developer/SDKs/MacOSX10.5.sdk ]; then
- X86_64_SDK=/Developer/SDKs/MacOSX10.5.sdk
- X86_64_CFLAGS="-arch x86_64 -isysroot /Developer/SDKs/MacOSX10.5.sdk \
- -DMAC_OS_X_VERSION_MIN_REQUIRED=1050"
- X86_64_LDFLAGS=" -mmacosx-version-min=10.5"
-
- X86_SDK=/Developer/SDKs/MacOSX10.5.sdk
- X86_CFLAGS="-arch i386 -isysroot /Developer/SDKs/MacOSX10.5.sdk \
- -DMAC_OS_X_VERSION_MIN_REQUIRED=1050"
- X86_LDFLAGS=" -mmacosx-version-min=10.5"
-
- PPC_SDK=/Developer/SDKs/MacOSX10.5.sdk
- PPC_CFLAGS="-arch ppc -isysroot /Developer/SDKs/MacOSX10.5.sdk \
- -DMAC_OS_X_VERSION_MIN_REQUIRED=1050"
- PPC_LDFLAGS=" -mmacosx-version-min=10.5"
-fi
-
-if [ -z $X86_64_SDK ] || [ -z $X86_SDK ] || [ -z $PPC_SDK ]; then
- echo "\
-ERROR: This script is for building a Universal Binary. You cannot build
- for a different architecture unless you have the proper Mac OS X SDKs
- installed. If you just want to to compile for your own system run
- 'make-macosx.sh' instead of this script."
- exit 1
-fi
-
-echo "Building X86_64 Client/Dedicated Server against \"$X86_64_SDK\""
-echo "Building X86 Client/Dedicated Server against \"$X86_SDK\""
-echo "Building PPC Client/Dedicated Server against \"$PPC_SDK\""
-echo
-
-if [ "$X86_64_SDK" != "/Developer/SDKs/MacOSX10.5.sdk" ] || \
- [ "$X86_SDK" != "/Developer/SDKs/MacOSX10.5.sdk" ]; then
- echo "\
-WARNING: in order to build a binary with maximum compatibility you must
- build on Mac OS X 10.5 using Xcode 3.1 and have the MacOSX10.5
- SDKs installed from the Xcode install disk Packages folder."
-sleep 3
-fi
-
-# For parallel make on multicore boxes...
-NCPU=`sysctl -n hw.ncpu`
-
-# x86_64 client and server
-#if [ -d build/release-release-x86_64 ]; then
-# rm -r build/release-darwin-x86_64
-#fi
-(ARCH=x86_64 CC=gcc-4.0 CFLAGS=$X86_64_CFLAGS LDFLAGS=$X86_64_LDFLAGS make -j$NCPU) || exit 1;
-
-echo;echo
-
-# x86 client and server
-#if [ -d build/release-darwin-x86 ]; then
-# rm -r build/release-darwin-x86
-#fi
-(ARCH=x86 CC=gcc-4.0 CFLAGS=$X86_CFLAGS LDFLAGS=$X86_LDFLAGS make -j$NCPU) || exit 1;
-
-echo;echo
-
-# PPC client and server
-#if [ -d build/release-darwin-ppc ]; then
-# rm -r build/release-darwin-ppc
-#fi
-(ARCH=ppc CC=gcc-4.0 CFLAGS=$PPC_CFLAGS LDFLAGS=$PPC_LDFLAGS make -j$NCPU) || exit 1;
-
-echo
-
-# use the following shell script to build a universal application bundle
-"./make-macosx-app.sh" release
diff --git a/make-macosx.sh b/make-macosx.sh
deleted file mode 100755
index 7d48736c..00000000
--- a/make-macosx.sh
+++ /dev/null
@@ -1,77 +0,0 @@
-#!/bin/bash
-#
-
-# Let's make the user give us a target build system
-
-if [ $# -ne 1 ]; then
- echo "Usage: $0 target_architecture"
- echo "Example: $0 x86"
- echo "other valid options are x86_64 or ppc"
- echo
- echo "If you don't know or care about architectures please consider using make-macosx-ub.sh instead of this script."
- exit 1
-fi
-
-if [ "$1" == "x86" ]; then
- BUILDARCH=x86
- DARWIN_GCC_ARCH=i386
-elif [ "$1" == "x86_64" ]; then
- BUILDARCH=x86_64
-elif [ "$1" == "ppc" ]; then
- BUILDARCH=ppc
-else
- echo "Invalid architecture: $1"
- echo "Valid architectures are x86, x86_64 or ppc"
- exit 1
-fi
-
-if [ -z "$DARWIN_GCC_ARCH" ]; then
- DARWIN_GCC_ARCH=${BUILDARCH}
-fi
-
-CC=gcc-4.0
-DESTDIR=build/release-darwin-${BUILDARCH}
-
-cd `dirname $0`
-if [ ! -f Makefile ]; then
- echo "This script must be run from the Tremulous build directory"
- exit 1
-fi
-
-# we want to use the oldest available SDK for max compatiblity. However 10.4 and older
-# can not build 64bit binaries, making 10.5 the minimum version. This has been tested
-# with xcode 3.1 (xcode31_2199_developerdvd.dmg). It contains the 10.5 SDK and a decent
-# enough gcc to actually compile Tremulous
-# For PPC macs, G4's or better are required to run Tremulous.
-
-unset ARCH_SDK
-unset ARCH_CFLAGS
-unset ARCH_LDFLAGS
-
-if [ -d /Developer/SDKs/MacOSX10.5.sdk ]; then
- ARCH_SDK=/Developer/SDKs/MacOSX10.5.sdk
- ARCH_CFLAGS="-arch ${DARWIN_GCC_ARCH} -isysroot /Developer/SDKs/MacOSX10.5.sdk \
- -DMAC_OS_X_VERSION_MIN_REQUIRED=1050"
- ARCH_LDFLAGS=" -mmacosx-version-min=10.5"
-fi
-
-
-echo "Building ${BUILDARCH} Client/Dedicated Server against \"$ARCH_SDK\""
-sleep 3
-
-if [ ! -d $DESTDIR ]; then
- mkdir -p $DESTDIR
-fi
-
-# For parallel make on multicore boxes...
-NCPU=`sysctl -n hw.ncpu`
-
-
-# intel client and server
-#if [ -d build/release-darwin-${BUILDARCH} ]; then
-# rm -r build/release-darwin-${BUILDARCH}
-#fi
-(ARCH=${BUILDARCH} CFLAGS=$ARCH_CFLAGS LDFLAGS=$ARCH_LDFLAGS make -j$NCPU) || exit 1;
-
-# use the following shell script to build an application bundle
-"./make-macosx-app.sh" release ${BUILDARCH}
diff --git a/misc/SLA-dmg.sh b/misc/SLA-dmg.sh
deleted file mode 100755
index af268f32..00000000
--- a/misc/SLA-dmg.sh
+++ /dev/null
@@ -1,73 +0,0 @@
-#!/bin/bash
-#
-# This script appends the text from Q3A_EULA.txt to a .dmg as a SLA resource
-#
-# usage is './SLA-dmg.sh /path/to/Q3A_EULA.txt /path/to/ioquake3.dmg'
-#
-
-if [ "x$1" = "x" ] || [ "x$2" = "x" ]; then
- echo "usage: ./SLA-dmg.sh /path/to/Q3A_EULA.txt /path/to/ioquake3.dmg"
- exit 1;
-fi
-
-if [ ! -r $1 ]; then
- echo "$1 is not a readable Q3A_EULA.txt file"
- exit 1;
-fi
-if [ ! -w $2 ]; then
- echo "$2 is not writable .dmg file"
- exit 1;
-fi
-touch tmp.r
-if [ ! -w tmp.r ]; then
- echo "Could not create temporary file tmp.r for writing"
- exit 1;
-fi
-
-echo "
-data 'LPic' (5000) {
- \$\"0002 0011 0003 0001 0000 0000 0002 0000\"
- \$\"0008 0003 0000 0001 0004 0000 0004 0005\"
- \$\"0000 000E 0006 0001 0005 0007 0000 0007\"
- \$\"0008 0000 0047 0009 0000 0034 000A 0001\"
- \$\"0035 000B 0001 0020 000C 0000 0011 000D\"
- \$\"0000 005B 0004 0000 0033 000F 0001 000C\"
- \$\"0010 0000 000B 000E 0000\"
-};
-
-data 'TEXT' (5002, \"English\") {
-" > tmp.r
-
-sed -e 's/"/\\"/g' -e 's/\(.*\)$/"\1\\n"/g' $1 >> tmp.r
-
-echo "
-};
-
-resource 'STR#' (5002, \"English\") {
- {
- \"English\",
- \"Agree\",
- \"Disagree\",
- \"Print\",
- \"Save...\",
- \"IMPORTANT - Read this License Agreement carefully before clicking on \"
- \"the \\\"Agree\\\" button. By clicking on the \\\"Agree\\\" button, you agree \"
- \"to be bound by the terms of the License Agreement.\",
- \"Software License Agreement\",
- \"This text cannot be saved. This disk may be full or locked, or the \"
- \"file may be locked.\",
- \"Unable to print. Make sure you have selected a printer.\"
- }
-};
-" >> tmp.r
-
-hdiutil convert -format UDCO -o tmp.dmg $2 || exit 1
-hdiutil unflatten tmp.dmg || exit 1
-/Developer/Tools/Rez /Developer/Headers/FlatCarbon/*.r tmp.r -a -o tmp.dmg \
- || exit 1
-hdiutil flatten tmp.dmg || exit 1
-hdiutil internet-enable -yes tmp.dmg || exit 1
-mv tmp.dmg $2 || (echo "Could not copy tmp.dmg to $2" && exit 1)
-rm tmp.dmg
-rm tmp.r
-echo "SLA $1 successfully added to $2"
diff --git a/misc/last-merged-ioq3-revision b/misc/last-merged-ioq3-revision
deleted file mode 100644
index 4cdf56c4..00000000
--- a/misc/last-merged-ioq3-revision
+++ /dev/null
@@ -1 +0,0 @@
-1f6703821f11be9c711c6ee42371ab290dd12776
diff --git a/misc/merge-ioq3-into-trem.sh b/misc/merge-ioq3-into-trem.sh
deleted file mode 100755
index 7bf0a319..00000000
--- a/misc/merge-ioq3-into-trem.sh
+++ /dev/null
@@ -1,112 +0,0 @@
-#! /bin/bash
-# TODO Consider rewrite in perl/python to make this a bit less crappy
-
-DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
-PATCHES_DIR=${DIR}/patches
-LAST_REVISION_FILE=${DIR}/last-merged-ioq3-revision
-LAST_REVISION_TEMP_FILE=${LAST_REVISION_FILE}.temp
-
-if [ -f ${LAST_REVISION_TEMP_FILE} ]
-then
- LAST_REVISION=`cat ${LAST_REVISION_TEMP_FILE}`
-else
- LAST_REVISION=`cat ${LAST_REVISION_FILE}`
-fi
-
-set -f
-# Things that exist in ioq3 which we don't want
-EXCLUSIONS="BUGS ChangeLog README ./*.txt
- NOTTODO TODO misc/* *.mak src/cgame/*
- src/game/* src/ui/* src/q3_ui/* src/botlib/* ui/*"
-
-EXCLUDE_PARAMETERS=""
-for EXCLUSION in ${EXCLUSIONS}
-do
- EXCLUDE_PARAMETERS+="--exclude=${EXCLUSION} "
-done
-
-set +f
-
-PATCHES=`ls ${PATCHES_DIR}/*.patch 2> /dev/null`
-if [ -z "${PATCHES}" ]
-then
- echo "Fetching and generating patches..."
- git fetch https://github.com/ioquake/ioq3.git
-
- mkdir -p ${PATCHES_DIR}
- git format-patch -o ${PATCHES_DIR} ${LAST_REVISION}..FETCH_HEAD
-fi
-
-if [ -d ".git/rebase-apply" ]
-then
- echo "Failed patch detected."
-
- git diff --quiet --exit-code
- if [ "$?" -ne 0 ]
- then
- echo "Unstaged changes present; git add any that are pending:"
- git status
- exit 1
- fi
-
- PATCH=`ls ${PATCHES_DIR}/*.patch | head -n 1`
- SHA=`cat ${PATCH} | head -n 1 | awk '{print $2;}'`
- echo "Processing ${SHA} ${PATCH}..."
-
- DIFF=`git diff --cached`
- if [ -z "${DIFF}" ]
- then
- echo "Patch does nothing; skipping."
- read -p "Confirm skip? "
- git am --skip
- else
- read -p "Confirm resolve? "
- git am --resolved
- fi
-
- if [ "$?" -ne 0 ]
- then
- echo "Patch failed to apply."
- exit $?
- fi
-
- echo ${SHA} > ${LAST_REVISION_TEMP_FILE}
- rm ${PATCH}
-fi
-
-PATCHES=`ls ${PATCHES_DIR}/*.patch 2> /dev/null`
-if [ -n "${PATCHES}" ]
-then
- for PATCH in ${PATCHES}
- do
- SHA=`cat ${PATCH} | head -n 1 | awk '{print $2;}'`
- echo "Processing ${SHA} ${PATCH}..."
- cat ${PATCH} | sed -e 's/\([ab]\)\/code\//\1\/src\//g' | \
- git am ${EXCLUDE_PARAMETERS} --quiet --3way
-
- if [ "$?" -ne 0 ]
- then
- echo "Patch failed to apply."
- git status
- exit $?
- fi
-
- echo ${SHA} > ${LAST_REVISION_TEMP_FILE}
- rm ${PATCH}
- done
-else
- echo "Nothing to merge."
-fi
-
-# Finished merging so update the last revision marker
-if [ -f ${LAST_REVISION_TEMP_FILE} ]
-then
- diff ${LAST_REVISION_FILE} ${LAST_REVISION_TEMP_FILE} &> /dev/null
- if [ "$?" -ne 0 ]
- then
- mv ${LAST_REVISION_TEMP_FILE} ${LAST_REVISION_FILE}
- LAST_REVISION=`cat ${LAST_REVISION_FILE}`
- git add ${LAST_REVISION_FILE}
- git commit -m "Merged ioq3 ${LAST_REVISION}"
- fi
-fi
diff --git a/misc/msvc/tremulous.sln b/misc/msvc/tremulous.sln
deleted file mode 100644
index 8f52efc6..00000000
--- a/misc/msvc/tremulous.sln
+++ /dev/null
@@ -1,21 +0,0 @@
-¿
-Microsoft Visual Studio Solution File, Format Version 9.00
-# Visual C++ Express 2005
-Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "tremulous", "tremulous.vcproj", "{0D5316E4-B20F-4E09-8989-3B9064358F0C}"
-EndProject
-Global
- GlobalSection(SolutionConfigurationPlatforms) = preSolution
- Debug|Win32 = Debug|Win32
- Release|Win32 = Release|Win32
- EndGlobalSection
- GlobalSection(ProjectConfigurationPlatforms) = postSolution
- {0D5316E4-B20F-4E09-8989-3B9064358F0C}.Debug|Win32.ActiveCfg = Debug|Win32
- {0D5316E4-B20F-4E09-8989-3B9064358F0C}.Debug|Win32.Build.0 = Debug|Win32
- {0D5316E4-B20F-4E09-8989-3B9064358F0C}.Release|Win32.ActiveCfg = Release|Win32
- {0D5316E4-B20F-4E09-8989-3B9064358F0C}.Release|Win32.Build.0 = Release|Win32
- EndGlobalSection
- GlobalSection(SolutionProperties) = preSolution
- HideSolutionNode = FALSE
- EndGlobalSection
-EndGlobal
-
diff --git a/misc/msvc/tremulous.vcproj b/misc/msvc/tremulous.vcproj
deleted file mode 100644
index a5920782..00000000
--- a/misc/msvc/tremulous.vcproj
+++ /dev/null
@@ -1,65 +0,0 @@
-<?xml version="1.0" encoding="Windows-1252"?>
-<VisualStudioProject
- ProjectType="Visual C++"
- Version="8.00"
- Name="tremulous"
- ProjectGUID="{0D5316E4-B20F-4E09-8989-3B9064358F0C}"
- RootNamespace="tremulous"
- Keyword="MakeFileProj"
- >
- <Platforms>
- <Platform
- Name="Win32"
- />
- </Platforms>
- <ToolFiles>
- </ToolFiles>
- <Configurations>
- <Configuration
- Name="Debug|Win32"
- OutputDirectory="../../build/$(ConfigurationName)-Win32-x86"
- IntermediateDirectory="../../build/$(ConfigurationName)-Win32-x86"
- ConfigurationType="0"
- >
- <Tool
- Name="VCNMakeTool"
- BuildCommandLine="make -C ../../ debug"
- ReBuildCommandLine="make -C ../../ clean-debug debug"
- CleanCommandLine="make -C ../../ clean-debug"
- Output="$(Outdir)/tremulous.x86.exe"
- PreprocessorDefinitions=""
- IncludeSearchPath=""
- ForcedIncludes=""
- AssemblySearchPath=""
- ForcedUsingAssemblies=""
- CompileAsManaged=""
- />
- </Configuration>
- <Configuration
- Name="Release|Win32"
- OutputDirectory="../../build/$(ConfigurationName)-Win32-x86"
- IntermediateDirectory="../../build/$(ConfigurationName)-Win32-x86"
- ConfigurationType="0"
- >
- <Tool
- Name="VCNMakeTool"
- BuildCommandLine="make -C ../../ release"
- ReBuildCommandLine="make -C ../../ clean-release release"
- CleanCommandLine="make -C ../../ clean-release"
- Output="$(Outdir)/tremulous.x86.exe"
- PreprocessorDefinitions=""
- IncludeSearchPath=""
- ForcedIncludes=""
- AssemblySearchPath=""
- ForcedUsingAssemblies=""
- CompileAsManaged=""
- />
- </Configuration>
- </Configurations>
- <References>
- </References>
- <Files>
- </Files>
- <Globals>
- </Globals>
-</VisualStudioProject>